import { ExtractPropTypes } from "vue";
export declare const selectTimeProps: {
    readonly startTime: {
        readonly type: StringConstructor;
        readonly required: true;
    };
    readonly endTime: {
        readonly type: StringConstructor;
        readonly required: true;
    };
    readonly startTimeStart: StringConstructor;
    readonly startTimeEnd: StringConstructor;
    readonly endTimeStart: StringConstructor;
    readonly endTimeEnd: StringConstructor;
    readonly startTimeStep: StringConstructor;
    readonly endTimeStep: StringConstructor;
    readonly startTimePlaceholder: {
        readonly type: StringConstructor;
        readonly default: "请选择开始时间";
    };
    readonly endTimePlaceholder: {
        readonly type: StringConstructor;
        readonly default: "请选择结束时间";
    };
    readonly enTimeDisabled: BooleanConstructor;
    readonly startTimeAttrs: ObjectConstructor;
    readonly endTimeAttrs: ObjectConstructor;
};
export declare type SelectTimeProps = ExtractPropTypes<typeof selectTimeProps>;
