import { TableOptions } from "./props";
declare const _default: import("vue").DefineComponent<{
    readonly options: import("vue").PropType<TableOptions[]>;
    readonly editRow: BooleanConstructor;
    readonly showPagination: {
        readonly type: BooleanConstructor;
    };
    readonly server: {
        readonly type: import("vue").PropType<(...rest: any[]) => Promise<any>>;
        readonly default: import("axios").AxiosStatic;
    };
    readonly getUrl: StringConstructor;
    readonly withDataPath: {
        readonly type: import("vue").PropType<string | boolean>;
        readonly default: null;
    };
    readonly withPagePath: {
        readonly type: import("vue").PropType<string | boolean>;
        readonly default: null;
    };
    readonly withQuery: ObjectConstructor;
    readonly withQueryPath: {
        readonly type: import("vue").PropType<string | boolean>;
        readonly default: null;
    };
    readonly stringify: BooleanConstructor;
    readonly getConfig: {
        readonly type: import("vue").PropType<import("axios").AxiosRequestConfig<any>>;
        readonly default: () => {
            method: string;
        };
    };
    readonly replaceFields: {
        readonly type: import("vue").PropType<{
            pageSize?: string | undefined;
            currentPage?: string | undefined;
        }>;
        readonly default: () => {
            pageSize: string;
            currentPage: string;
        };
    };
    readonly dataPath: {
        readonly type: StringConstructor;
        readonly default: "data.data";
    };
    readonly totalPath: {
        readonly type: StringConstructor;
        readonly default: "data.total";
    };
    readonly showLoadInGet: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly elementLoadingText: {
        readonly type: StringConstructor;
        readonly default: "正在加载中...";
    };
    readonly elLoadingTextTimeout: {
        readonly type: NumberConstructor;
        readonly default: 8000;
    };
    readonly elLoadingTextTimeoutText: {
        readonly type: StringConstructor;
        readonly default: "数据加载较慢，请耐心等待...";
    };
    readonly emptyTip: {
        readonly type: StringConstructor;
        readonly default: "正在加载中...";
    };
    readonly emptyTipTimeout: {
        readonly type: NumberConstructor;
        readonly default: 8000;
    };
    readonly emptyTipTimeoutText: {
        readonly type: StringConstructor;
        readonly default: "数据加载较慢，请耐心等待...";
    };
    readonly defaultCurrentPage: NumberConstructor;
    readonly defaultPageSize: NumberConstructor;
    readonly actionConfig: {
        readonly type: import("vue").PropType<import("./props").ActionConfig>;
        readonly default: () => {};
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    edit: null;
    delete: null;
    confirmEditRow: null;
    cancelEditRow: null;
    confirmEditCell: null;
    cancelEditCell: null;
    beforeGetData: (val: any) => boolean;
    afterGetData: (val: any) => boolean;
    failToGetData: (val: any) => boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    readonly options: import("vue").PropType<TableOptions[]>;
    readonly editRow: BooleanConstructor;
    readonly showPagination: {
        readonly type: BooleanConstructor;
    };
    readonly server: {
        readonly type: import("vue").PropType<(...rest: any[]) => Promise<any>>;
        readonly default: import("axios").AxiosStatic;
    };
    readonly getUrl: StringConstructor;
    readonly withDataPath: {
        readonly type: import("vue").PropType<string | boolean>;
        readonly default: null;
    };
    readonly withPagePath: {
        readonly type: import("vue").PropType<string | boolean>;
        readonly default: null;
    };
    readonly withQuery: ObjectConstructor;
    readonly withQueryPath: {
        readonly type: import("vue").PropType<string | boolean>;
        readonly default: null;
    };
    readonly stringify: BooleanConstructor;
    readonly getConfig: {
        readonly type: import("vue").PropType<import("axios").AxiosRequestConfig<any>>;
        readonly default: () => {
            method: string;
        };
    };
    readonly replaceFields: {
        readonly type: import("vue").PropType<{
            pageSize?: string | undefined;
            currentPage?: string | undefined;
        }>;
        readonly default: () => {
            pageSize: string;
            currentPage: string;
        };
    };
    readonly dataPath: {
        readonly type: StringConstructor;
        readonly default: "data.data";
    };
    readonly totalPath: {
        readonly type: StringConstructor;
        readonly default: "data.total";
    };
    readonly showLoadInGet: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly elementLoadingText: {
        readonly type: StringConstructor;
        readonly default: "正在加载中...";
    };
    readonly elLoadingTextTimeout: {
        readonly type: NumberConstructor;
        readonly default: 8000;
    };
    readonly elLoadingTextTimeoutText: {
        readonly type: StringConstructor;
        readonly default: "数据加载较慢，请耐心等待...";
    };
    readonly emptyTip: {
        readonly type: StringConstructor;
        readonly default: "正在加载中...";
    };
    readonly emptyTipTimeout: {
        readonly type: NumberConstructor;
        readonly default: 8000;
    };
    readonly emptyTipTimeoutText: {
        readonly type: StringConstructor;
        readonly default: "数据加载较慢，请耐心等待...";
    };
    readonly defaultCurrentPage: NumberConstructor;
    readonly defaultPageSize: NumberConstructor;
    readonly actionConfig: {
        readonly type: import("vue").PropType<import("./props").ActionConfig>;
        readonly default: () => {};
    };
}>> & {
    onEdit?: ((...args: any[]) => any) | undefined;
    onDelete?: ((...args: any[]) => any) | undefined;
    onConfirmEditRow?: ((...args: any[]) => any) | undefined;
    onCancelEditRow?: ((...args: any[]) => any) | undefined;
    onConfirmEditCell?: ((...args: any[]) => any) | undefined;
    onCancelEditCell?: ((...args: any[]) => any) | undefined;
    onBeforeGetData?: ((val: any) => any) | undefined;
    onAfterGetData?: ((val: any) => any) | undefined;
    onFailToGetData?: ((val: any) => any) | undefined;
}, {
    readonly editRow: boolean;
    readonly showPagination: boolean;
    readonly server: (...rest: any[]) => Promise<any>;
    readonly withDataPath: string | boolean;
    readonly withPagePath: string | boolean;
    readonly withQueryPath: string | boolean;
    readonly stringify: boolean;
    readonly getConfig: import("axios").AxiosRequestConfig<any>;
    readonly replaceFields: {
        pageSize?: string | undefined;
        currentPage?: string | undefined;
    };
    readonly dataPath: string;
    readonly totalPath: string;
    readonly showLoadInGet: boolean;
    readonly elementLoadingText: string;
    readonly elLoadingTextTimeout: number;
    readonly elLoadingTextTimeoutText: string;
    readonly emptyTip: string;
    readonly emptyTipTimeout: number;
    readonly emptyTipTimeoutText: string;
    readonly actionConfig: import("./props").ActionConfig;
}>;
export default _default;
