export declare const KSelectDate: import("@tomiaa/utils").SFCWithInstall<import("vue").DefineComponent<{
    readonly startDate: {
        readonly type: import("vue").PropType<string | number | Date>;
        readonly required: true;
    };
    readonly endDate: {
        readonly type: import("vue").PropType<string | number | Date>;
        readonly required: true;
    };
    readonly startDatePlaceholder: {
        readonly type: StringConstructor;
        readonly default: "请选择开始日期";
    };
    readonly endDatePlaceholder: {
        readonly type: StringConstructor;
        readonly default: "请选择结束日期";
    };
    readonly enTimeDisabled: BooleanConstructor;
    readonly valueFormat: StringConstructor;
    readonly format: StringConstructor;
    readonly type: import("vue").PropType<"year" | "month" | "date" | "dates" | "datetime" | "week" | "datetimerange" | "daterange" | "monthrange">;
    readonly startDateAttrs: ObjectConstructor;
    readonly endDateAttrs: ObjectConstructor;
}, {
    bem: {
        b: (blockSuffix?: string | undefined) => string;
        e: (element?: string | undefined) => string;
        m: (modifier?: string | undefined) => string;
        be: (blockSuffix?: string | undefined, element?: string | undefined) => string;
        bm: (blockSuffix?: string | undefined, modifier?: string | undefined) => string;
        em: (element?: string | undefined, modifier?: string | undefined) => string;
        bem: (blockSuffix?: string | undefined, element?: string | undefined, modifier?: string | undefined) => string;
        is: (name: string, state: string | boolean) => string;
    };
    props: any;
    emits: (event: "update:startDate" | "update:endDate", ...args: any[]) => void;
    startChange: (val: string) => void;
    disabledStartDate: (time: Date) => boolean | "" | 0;
    disabledEndDate: (time: Date) => boolean | "" | 0;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:startDate" | "update:endDate")[], "update:startDate" | "update:endDate", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    readonly startDate: {
        readonly type: import("vue").PropType<string | number | Date>;
        readonly required: true;
    };
    readonly endDate: {
        readonly type: import("vue").PropType<string | number | Date>;
        readonly required: true;
    };
    readonly startDatePlaceholder: {
        readonly type: StringConstructor;
        readonly default: "请选择开始日期";
    };
    readonly endDatePlaceholder: {
        readonly type: StringConstructor;
        readonly default: "请选择结束日期";
    };
    readonly enTimeDisabled: BooleanConstructor;
    readonly valueFormat: StringConstructor;
    readonly format: StringConstructor;
    readonly type: import("vue").PropType<"year" | "month" | "date" | "dates" | "datetime" | "week" | "datetimerange" | "daterange" | "monthrange">;
    readonly startDateAttrs: ObjectConstructor;
    readonly endDateAttrs: ObjectConstructor;
}>> & {
    "onUpdate:startDate"?: ((...args: any[]) => any) | undefined;
    "onUpdate:endDate"?: ((...args: any[]) => any) | undefined;
}, {
    readonly startDatePlaceholder: string;
    readonly endDatePlaceholder: string;
    readonly enTimeDisabled: boolean;
}>>;
export default KSelectDate;
export * from "./src/selectDate";
declare module "@vue/runtime-core" {
    interface GlobalComponents {
        KSelectDate: typeof KSelectDate;
    }
}
