import { ExtractPropTypes, PropType } from "vue";
export declare const trendProps: {
    readonly type: {
        readonly type: PropType<"up" | "down">;
        readonly default: "up";
    };
    readonly text: {
        readonly type: StringConstructor;
        readonly default: "上升";
    };
    readonly upIconColor: {
        readonly type: StringConstructor;
        readonly default: "#f5222d";
    };
    readonly downIconColor: {
        readonly type: StringConstructor;
        readonly default: "#52c41a";
    };
    readonly reverseColor: BooleanConstructor;
    readonly upTextColor: {
        readonly type: StringConstructor;
        readonly default: "#f5222d";
    };
    readonly downTextColor: {
        readonly type: StringConstructor;
        readonly default: "#52c41a";
    };
    readonly upIcon: {
        readonly type: StringConstructor;
        readonly default: "ElIconArrowUp";
    };
    readonly downIcon: {
        readonly type: StringConstructor;
        readonly default: "ElIconArrowDown";
    };
};
export declare type TrendProps = ExtractPropTypes<typeof trendProps>;
